$regfile = "m16def.dat"
$crystal = 8000000

'$lib "mcsbyte.lbx"                                          ' for smaller code
'$lib "ds1307clock.lbx"
$lib "i2c_twi.lbx"

                                     ' modified lib
Config Graphlcd = 240 * 128 , Dataport = Porta , Controlport = Portb , Ce = 2 , Cd = 5 , Wr = 3 , Rd = 4 , Reset = 1 , Fs = 0 , Mode = 6
'The dataport is the portname that is connected to the data lines of the LCD
'The controlport is the portname which pins are used to control the lcd
'CE, CD etc. are the pin number of the CONTROLPORT.
' For example CE =2 because it is connected to PORTC.2
'mode 8 gives 240 / 8 = 30 columns , mode=6 gives 240 / 6 = 40 columns





Dim Xsan As Byte
Dim Ysan As Byte
Dim Xsaa As Byte
Dim Ysaa As Byte
Dim Xdak As Byte
Dim Ydak As Byte
Dim Weekday As Byte


Dim I2c_adres As Word
Dim Sayici As Word


Dim Saat As String * 8
Dim Tarih As String * 8
Dim Versionn As String * 5



Config Portc.6 = Input
Config Portc.7 = Input

Tus1 Alias Pinc.6                                           'giri scak souk bilgisi
Tus2 Alias Pinc.7                                           'giri fotosel bilgisi



Config Sda = Portc.1
Config Scl = Portc.0

Const Ds1307w = &HD0
Const Ds1307r = &HD1
Config Clock = User

Config Twi = 400000
I2cinit


Versionn = "1.01"

'Time$ = "17:29:00"
'Date$ = "10-28-10"


Waitms 500


Cls
Cursor Off

Cls Text
Cls Graph
Waitms 100
Locate 5 , 4 : Lcd "  ANALOG SAAT  "
Locate 16 , 10 : Lcd "VERSiON:" ; Versionn
Waitms 1500




Gosub Ana_ekran
Gosub Ana_dongu



Ana_dongu:

   Do



     If Tus1 = 0 And Tus2 = 0 Then

     End If

     Locate 16 , 8 : Lcd Time$

     Circle(63 , 60) , 53 , 255
     Circle(63 , 60) , 54 , 255
     Circle(63 , 60) , 56 , 255
     Circle(63 , 60) , 57 , 255
     Circle(63 , 60) , 40 , 255
     Circle(63 , 60) , 2 , 255
     Circle(63 , 60) , 3 , 255
     Circle(63 , 60) , 4 , 255


     If _hour = 00 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 63 : Ysaa = 23 : Gosub Gorunum : End If
     If _hour = 00 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 73 : Ysaa = 27 : Gosub Gorunum : End If
     If _hour = 01 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 82 : Ysaa = 29 : Gosub Gorunum : End If
     If _hour = 01 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 90 : Ysaa = 32 : Gosub Gorunum : End If
     If _hour = 02 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 96 : Ysaa = 39 : Gosub Gorunum : End If
     If _hour = 02 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 97 : Ysaa = 49 : Gosub Gorunum : End If
     If _hour = 03 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 100 : Ysaa = 60 : Gosub Gorunum : End If
     If _hour = 03 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 100 : Ysaa = 67 : Gosub Gorunum : End If
     If _hour = 04 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 98 : Ysaa = 76 : Gosub Gorunum : End If
     If _hour = 04 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 90 : Ysaa = 87 : Gosub Gorunum : End If
     If _hour = 05 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 82 : Ysaa = 91 : Gosub Gorunum : End If
     If _hour = 05 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 72 : Ysaa = 94 : Gosub Gorunum : End If
     If _hour = 06 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 63 : Ysaa = 98 : Gosub Gorunum : End If
     If _hour = 06 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 53 : Ysaa = 72 : Gosub Gorunum : End If
     If _hour = 07 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 43 : Ysaa = 88 : Gosub Gorunum : End If
     If _hour = 07 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 37 : Ysaa = 84 : Gosub Gorunum : End If
     If _hour = 08 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 33 : Ysaa = 78 : Gosub Gorunum : End If
     If _hour = 08 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 28 : Ysaa = 68 : Gosub Gorunum : End If
     If _hour = 09 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 27 : Ysaa = 60 : Gosub Gorunum : End If
     If _hour = 09 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 29 : Ysaa = 50 : Gosub Gorunum : End If
     If _hour = 10 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 33 : Ysaa = 37 : Gosub Gorunum : End If
     If _hour = 10 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 39 : Ysaa = 29 : Gosub Gorunum : End If
     If _hour = 11 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 48 : Ysaa = 25 : Gosub Gorunum : End If
     If _hour = 11 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 56 : Ysaa = 24 : Gosub Gorunum : End If
     If _hour = 12 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 63 : Ysaa = 23 : Gosub Gorunum : End If
     If _hour = 12 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 73 : Ysaa = 27 : Gosub Gorunum : End If
     If _hour = 13 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 82 : Ysaa = 29 : Gosub Gorunum : End If
     If _hour = 13 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 90 : Ysaa = 32 : Gosub Gorunum : End If
     If _hour = 14 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 96 : Ysaa = 39 : Gosub Gorunum : End If
     If _hour = 14 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 97 : Ysaa = 49 : Gosub Gorunum : End If
     If _hour = 15 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 100 : Ysaa = 60 : Gosub Gorunum : End If
     If _hour = 15 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 100 : Ysaa = 67 : Gosub Gorunum : End If
     If _hour = 16 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 98 : Ysaa = 76 : Gosub Gorunum : End If
     If _hour = 16 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 90 : Ysaa = 87 : Gosub Gorunum : End If
     If _hour = 17 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 82 : Ysaa = 91 : Gosub Gorunum : End If
     If _hour = 17 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 72 : Ysaa = 94 : Gosub Gorunum : End If
     If _hour = 18 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 63 : Ysaa = 98 : Gosub Gorunum : End If
     If _hour = 18 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 53 : Ysaa = 72 : Gosub Gorunum : End If
     If _hour = 19 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 43 : Ysaa = 88 : Gosub Gorunum : End If
     If _hour = 19 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 37 : Ysaa = 84 : Gosub Gorunum : End If
     If _hour = 20 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 33 : Ysaa = 78 : Gosub Gorunum : End If
     If _hour = 20 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 28 : Ysaa = 68 : Gosub Gorunum : End If
     If _hour = 21 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 27 : Ysaa = 60 : Gosub Gorunum : End If
     If _hour = 21 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 29 : Ysaa = 50 : Gosub Gorunum : End If
     If _hour = 22 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 33 : Ysaa = 37 : Gosub Gorunum : End If
     If _hour = 22 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 39 : Ysaa = 29 : Gosub Gorunum : End If
     If _hour = 23 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 48 : Ysaa = 25 : Gosub Gorunum : End If
     If _hour = 23 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 56 : Ysaa = 24 : Gosub Gorunum : End If


     If _min = 00 Then : Gosub Gorunumsil2 : Xdak = 64 : Ydak = 15 : Gosub Gorunum : End If
     If _min = 01 Then : Gosub Gorunumsil2 : Xdak = 69 : Ydak = 15 : Gosub Gorunum : End If
     If _min = 02 Then : Gosub Gorunumsil2 : Xdak = 74 : Ydak = 15 : Gosub Gorunum : End If
     If _min = 03 Then : Gosub Gorunumsil2 : Xdak = 78 : Ydak = 16 : Gosub Gorunum : End If
     If _min = 04 Then : Gosub Gorunumsil2 : Xdak = 81 : Ydak = 18 : Gosub Gorunum : End If
     If _min = 05 Then : Gosub Gorunumsil2 : Xdak = 87 : Ydak = 18 : Gosub Gorunum : End If
     If _min = 06 Then : Gosub Gorunumsil2 : Xdak = 89 : Ydak = 22 : Gosub Gorunum : End If
     If _min = 07 Then : Gosub Gorunumsil2 : Xdak = 92 : Ydak = 25 : Gosub Gorunum : End If
     If _min = 08 Then : Gosub Gorunumsil2 : Xdak = 95 : Ydak = 28 : Gosub Gorunum : End If
     If _min = 09 Then : Gosub Gorunumsil2 : Xdak = 100 : Ydak = 33 : Gosub Gorunum : End If
     If _min = 10 Then : Gosub Gorunumsil2 : Xdak = 103 : Ydak = 36 : Gosub Gorunum : End If
     If _min = 11 Then : Gosub Gorunumsil2 : Xdak = 104 : Ydak = 39 : Gosub Gorunum : End If
     If _min = 12 Then : Gosub Gorunumsil2 : Xdak = 105 : Ydak = 43 : Gosub Gorunum : End If
     If _min = 13 Then : Gosub Gorunumsil2 : Xdak = 107 : Ydak = 47 : Gosub Gorunum : End If
     If _min = 14 Then : Gosub Gorunumsil2 : Xdak = 109 : Ydak = 52 : Gosub Gorunum : End If
     If _min = 15 Then : Gosub Gorunumsil2 : Xdak = 109 : Ydak = 58 : Gosub Gorunum : End If
     If _min = 16 Then : Gosub Gorunumsil2 : Xdak = 110 : Ydak = 63 : Gosub Gorunum : End If
     If _min = 17 Then : Gosub Gorunumsil2 : Xdak = 109 : Ydak = 67 : Gosub Gorunum : End If
     If _min = 18 Then : Gosub Gorunumsil2 : Xdak = 110 : Ydak = 71 : Gosub Gorunum : End If
     If _min = 19 Then : Gosub Gorunumsil2 : Xdak = 107 : Ydak = 76 : Gosub Gorunum : End If
     If _min = 20 Then : Gosub Gorunumsil2 : Xdak = 106 : Ydak = 82 : Gosub Gorunum : End If
     If _min = 21 Then : Gosub Gorunumsil2 : Xdak = 100 : Ydak = 86 : Gosub Gorunum : End If
     If _min = 22 Then : Gosub Gorunumsil2 : Xdak = 98 : Ydak = 88 : Gosub Gorunum : End If
     If _min = 23 Then : Gosub Gorunumsil2 : Xdak = 97 : Ydak = 91 : Gosub Gorunum : End If
     If _min = 24 Then : Gosub Gorunumsil2 : Xdak = 93 : Ydak = 96 : Gosub Gorunum : End If
     If _min = 25 Then : Gosub Gorunumsil2 : Xdak = 85 : Ydak = 97 : Gosub Gorunum : End If
     If _min = 26 Then : Gosub Gorunumsil2 : Xdak = 84 : Ydak = 100 : Gosub Gorunum : End If
     If _min = 27 Then : Gosub Gorunumsil2 : Xdak = 79 : Ydak = 104 : Gosub Gorunum : End If
     If _min = 28 Then : Gosub Gorunumsil2 : Xdak = 75 : Ydak = 104 : Gosub Gorunum : End If
     If _min = 29 Then : Gosub Gorunumsil2 : Xdak = 70 : Ydak = 107 : Gosub Gorunum : End If
     If _min = 30 Then : Gosub Gorunumsil2 : Xdak = 63 : Ydak = 107 : Gosub Gorunum : End If
     If _min = 31 Then : Gosub Gorunumsil2 : Xdak = 57 : Ydak = 107 : Gosub Gorunum : End If
     If _min = 32 Then : Gosub Gorunumsil2 : Xdak = 53 : Ydak = 107 : Gosub Gorunum : End If
     If _min = 33 Then : Gosub Gorunumsil2 : Xdak = 50 : Ydak = 104 : Gosub Gorunum : End If
     If _min = 34 Then : Gosub Gorunumsil2 : Xdak = 45 : Ydak = 103 : Gosub Gorunum : End If
     If _min = 35 Then : Gosub Gorunumsil2 : Xdak = 40 : Ydak = 101 : Gosub Gorunum : End If
     If _min = 36 Then : Gosub Gorunumsil2 : Xdak = 35 : Ydak = 99 : Gosub Gorunum : End If
     If _min = 37 Then : Gosub Gorunumsil2 : Xdak = 33 : Ydak = 96 : Gosub Gorunum : End If
     If _min = 38 Then : Gosub Gorunumsil2 : Xdak = 30 : Ydak = 93 : Gosub Gorunum : End If
     If _min = 39 Then : Gosub Gorunumsil2 : Xdak = 26 : Ydak = 88 : Gosub Gorunum : End If
     If _min = 40 Then : Gosub Gorunumsil2 : Xdak = 22 : Ydak = 83 : Gosub Gorunum : End If
     If _min = 41 Then : Gosub Gorunumsil2 : Xdak = 21 : Ydak = 78 : Gosub Gorunum : End If
     If _min = 42 Then : Gosub Gorunumsil2 : Xdak = 18 : Ydak = 75 : Gosub Gorunum : End If
     If _min = 43 Then : Gosub Gorunumsil2 : Xdak = 18 : Ydak = 71 : Gosub Gorunum : End If
     If _min = 44 Then : Gosub Gorunumsil2 : Xdak = 17 : Ydak = 66 : Gosub Gorunum : End If
     If _min = 45 Then : Gosub Gorunumsil2 : Xdak = 17 : Ydak = 60 : Gosub Gorunum : End If
     If _min = 46 Then : Gosub Gorunumsil2 : Xdak = 16 : Ydak = 55 : Gosub Gorunum : End If
     If _min = 47 Then : Gosub Gorunumsil2 : Xdak = 17 : Ydak = 50 : Gosub Gorunum : End If
     If _min = 48 Then : Gosub Gorunumsil2 : Xdak = 18 : Ydak = 46 : Gosub Gorunum : End If
     If _min = 49 Then : Gosub Gorunumsil2 : Xdak = 19 : Ydak = 41 : Gosub Gorunum : End If
     If _min = 50 Then : Gosub Gorunumsil2 : Xdak = 25 : Ydak = 33 : Gosub Gorunum : End If
     If _min = 51 Then : Gosub Gorunumsil2 : Xdak = 27 : Ydak = 30 : Gosub Gorunum : End If
     If _min = 52 Then : Gosub Gorunumsil2 : Xdak = 29 : Ydak = 27 : Gosub Gorunum : End If
     If _min = 53 Then : Gosub Gorunumsil2 : Xdak = 32 : Ydak = 24 : Gosub Gorunum : End If
     If _min = 54 Then : Gosub Gorunumsil2 : Xdak = 36 : Ydak = 19 : Gosub Gorunum : End If
     If _min = 55 Then : Gosub Gorunumsil2 : Xdak = 41 : Ydak = 17 : Gosub Gorunum : End If
     If _min = 56 Then : Gosub Gorunumsil2 : Xdak = 48 : Ydak = 16 : Gosub Gorunum : End If
     If _min = 57 Then : Gosub Gorunumsil2 : Xdak = 51 : Ydak = 14 : Gosub Gorunum : End If
     If _min = 58 Then : Gosub Gorunumsil2 : Xdak = 54 : Ydak = 12 : Gosub Gorunum : End If
     If _min = 59 Then : Gosub Gorunumsil2 : Xdak = 59 : Ydak = 12 : Gosub Gorunum : End If


     If _sec = 00 Then : Gosub Gorunumsil1 : Xsan = 64 : Ysan = 15 : Gosub Gorunum : End If
     If _sec = 01 Then : Gosub Gorunumsil1 : Xsan = 69 : Ysan = 15 : Gosub Gorunum : End If
     If _sec = 02 Then : Gosub Gorunumsil1 : Xsan = 74 : Ysan = 15 : Gosub Gorunum : End If
     If _sec = 03 Then : Gosub Gorunumsil1 : Xsan = 78 : Ysan = 16 : Gosub Gorunum : End If
     If _sec = 04 Then : Gosub Gorunumsil1 : Xsan = 81 : Ysan = 18 : Gosub Gorunum : End If
     If _sec = 05 Then : Gosub Gorunumsil1 : Xsan = 87 : Ysan = 18 : Gosub Gorunum : End If
     If _sec = 06 Then : Gosub Gorunumsil1 : Xsan = 89 : Ysan = 22 : Gosub Gorunum : End If
     If _sec = 07 Then : Gosub Gorunumsil1 : Xsan = 92 : Ysan = 25 : Gosub Gorunum : End If
     If _sec = 08 Then : Gosub Gorunumsil1 : Xsan = 95 : Ysan = 28 : Gosub Gorunum : End If
     If _sec = 09 Then : Gosub Gorunumsil1 : Xsan = 100 : Ysan = 33 : Gosub Gorunum : End If
     If _sec = 10 Then : Gosub Gorunumsil1 : Xsan = 103 : Ysan = 36 : Gosub Gorunum : End If
     If _sec = 11 Then : Gosub Gorunumsil1 : Xsan = 104 : Ysan = 39 : Gosub Gorunum : End If
     If _sec = 12 Then : Gosub Gorunumsil1 : Xsan = 105 : Ysan = 43 : Gosub Gorunum : End If
     If _sec = 13 Then : Gosub Gorunumsil1 : Xsan = 107 : Ysan = 47 : Gosub Gorunum : End If
     If _sec = 14 Then : Gosub Gorunumsil1 : Xsan = 109 : Ysan = 52 : Gosub Gorunum : End If
     If _sec = 15 Then : Gosub Gorunumsil1 : Xsan = 109 : Ysan = 58 : Gosub Gorunum : End If
     If _sec = 16 Then : Gosub Gorunumsil1 : Xsan = 110 : Ysan = 63 : Gosub Gorunum : End If
     If _sec = 17 Then : Gosub Gorunumsil1 : Xsan = 109 : Ysan = 67 : Gosub Gorunum : End If
     If _sec = 18 Then : Gosub Gorunumsil1 : Xsan = 110 : Ysan = 71 : Gosub Gorunum : End If
     If _sec = 19 Then : Gosub Gorunumsil1 : Xsan = 107 : Ysan = 76 : Gosub Gorunum : End If
     If _sec = 20 Then : Gosub Gorunumsil1 : Xsan = 106 : Ysan = 82 : Gosub Gorunum : End If
     If _sec = 21 Then : Gosub Gorunumsil1 : Xsan = 100 : Ysan = 86 : Gosub Gorunum : End If
     If _sec = 22 Then : Gosub Gorunumsil1 : Xsan = 98 : Ysan = 88 : Gosub Gorunum : End If
     If _sec = 23 Then : Gosub Gorunumsil1 : Xsan = 97 : Ysan = 91 : Gosub Gorunum : End If
     If _sec = 24 Then : Gosub Gorunumsil1 : Xsan = 93 : Ysan = 96 : Gosub Gorunum : End If
     If _sec = 25 Then : Gosub Gorunumsil1 : Xsan = 85 : Ysan = 97 : Gosub Gorunum : End If
     If _sec = 26 Then : Gosub Gorunumsil1 : Xsan = 84 : Ysan = 100 : Gosub Gorunum : End If
     If _sec = 27 Then : Gosub Gorunumsil1 : Xsan = 79 : Ysan = 104 : Gosub Gorunum : End If
     If _sec = 28 Then : Gosub Gorunumsil1 : Xsan = 75 : Ysan = 104 : Gosub Gorunum : End If
     If _sec = 29 Then : Gosub Gorunumsil1 : Xsan = 70 : Ysan = 107 : Gosub Gorunum : End If
     If _sec = 30 Then : Gosub Gorunumsil1 : Xsan = 63 : Ysan = 107 : Gosub Gorunum : End If
     If _sec = 31 Then : Gosub Gorunumsil1 : Xsan = 57 : Ysan = 107 : Gosub Gorunum : End If
     If _sec = 32 Then : Gosub Gorunumsil1 : Xsan = 53 : Ysan = 107 : Gosub Gorunum : End If
     If _sec = 33 Then : Gosub Gorunumsil1 : Xsan = 50 : Ysan = 104 : Gosub Gorunum : End If
     If _sec = 34 Then : Gosub Gorunumsil1 : Xsan = 45 : Ysan = 103 : Gosub Gorunum : End If
     If _sec = 35 Then : Gosub Gorunumsil1 : Xsan = 40 : Ysan = 101 : Gosub Gorunum : End If
     If _sec = 36 Then : Gosub Gorunumsil1 : Xsan = 35 : Ysan = 99 : Gosub Gorunum : End If
     If _sec = 37 Then : Gosub Gorunumsil1 : Xsan = 33 : Ysan = 96 : Gosub Gorunum : End If
     If _sec = 38 Then : Gosub Gorunumsil1 : Xsan = 30 : Ysan = 93 : Gosub Gorunum : End If
     If _sec = 39 Then : Gosub Gorunumsil1 : Xsan = 26 : Ysan = 88 : Gosub Gorunum : End If
     If _sec = 40 Then : Gosub Gorunumsil1 : Xsan = 22 : Ysan = 83 : Gosub Gorunum : End If
     If _sec = 41 Then : Gosub Gorunumsil1 : Xsan = 21 : Ysan = 78 : Gosub Gorunum : End If
     If _sec = 42 Then : Gosub Gorunumsil1 : Xsan = 18 : Ysan = 75 : Gosub Gorunum : End If
     If _sec = 43 Then : Gosub Gorunumsil1 : Xsan = 18 : Ysan = 71 : Gosub Gorunum : End If
     If _sec = 44 Then : Gosub Gorunumsil1 : Xsan = 17 : Ysan = 66 : Gosub Gorunum : End If
     If _sec = 45 Then : Gosub Gorunumsil1 : Xsan = 17 : Ysan = 60 : Gosub Gorunum : End If
     If _sec = 46 Then : Gosub Gorunumsil1 : Xsan = 16 : Ysan = 55 : Gosub Gorunum : End If
     If _sec = 47 Then : Gosub Gorunumsil1 : Xsan = 17 : Ysan = 50 : Gosub Gorunum : End If
     If _sec = 48 Then : Gosub Gorunumsil1 : Xsan = 18 : Ysan = 46 : Gosub Gorunum : End If
     If _sec = 49 Then : Gosub Gorunumsil1 : Xsan = 19 : Ysan = 41 : Gosub Gorunum : End If
     If _sec = 50 Then : Gosub Gorunumsil1 : Xsan = 25 : Ysan = 33 : Gosub Gorunum : End If
     If _sec = 51 Then : Gosub Gorunumsil1 : Xsan = 27 : Ysan = 30 : Gosub Gorunum : End If
     If _sec = 52 Then : Gosub Gorunumsil1 : Xsan = 29 : Ysan = 27 : Gosub Gorunum : End If
     If _sec = 53 Then : Gosub Gorunumsil1 : Xsan = 32 : Ysan = 24 : Gosub Gorunum : End If
     If _sec = 54 Then : Gosub Gorunumsil1 : Xsan = 36 : Ysan = 19 : Gosub Gorunum : End If
     If _sec = 55 Then : Gosub Gorunumsil1 : Xsan = 41 : Ysan = 17 : Gosub Gorunum : End If
     If _sec = 56 Then : Gosub Gorunumsil1 : Xsan = 48 : Ysan = 16 : Gosub Gorunum : End If
     If _sec = 57 Then : Gosub Gorunumsil1 : Xsan = 51 : Ysan = 14 : Gosub Gorunum : End If
     If _sec = 58 Then : Gosub Gorunumsil1 : Xsan = 54 : Ysan = 12 : Gosub Gorunum : End If
     If _sec = 59 Then : Gosub Gorunumsil1 : Xsan = 59 : Ysan = 12 : Gosub Gorunum : End If




     Waitms 900

   Loop

Goto Ana_dongu

Gorunumsil2:

             Line(63 , 58) -(xdak , Ydak ) , 0
             Line(63 , 59) -(xdak , Ydak ) , 0
             Line(63 , 60) -(xdak , Ydak ) , 0
             Line(63 , 61) -(xdak , Ydak ) , 0
             Line(63 , 62) -(xdak , Ydak ) , 0
             Line(61 , 60) -(xdak , Ydak ) , 0
             Line(62 , 60) -(xdak , Ydak ) , 0
             Line(64 , 60) -(xdak , Ydak ) , 0
             Line(65 , 60) -(xdak , Ydak ) , 0
Return

Gorunumsil3:
             Line(60 , 60) -(xsaa , Ysaa ) , 0
             Line(61 , 60) -(xsaa , Ysaa ) , 0
             Line(62 , 60) -(xsaa , Ysaa ) , 0
             Line(63 , 60) -(xsaa , Ysaa ) , 0
             Line(64 , 60) -(xsaa , Ysaa ) , 0
             Line(65 , 60) -(xsaa , Ysaa ) , 0
             Line(66 , 60) -(xsaa , Ysaa ) , 0
             Line(63 , 57) -(xsaa , Ysaa ) , 0
             Line(63 , 58) -(xsaa , Ysaa ) , 0
             Line(63 , 59) -(xsaa , Ysaa ) , 0
             Line(63 , 61) -(xsaa , Ysaa ) , 0
             Line(63 , 62) -(xsaa , Ysaa ) , 0
             Line(63 , 63) -(xsaa , Ysaa ) , 0
Return

Gorunumsil1:

          Line(63 , 59) -(xsan , Ysan) , 0
          Line(63 , 60) -(xsan , Ysan ) , 0
          Line(63 , 61) -(xsan , Ysan ) , 0
          Line(62 , 60) -(xsan , Ysan ) , 0
          Line(64 , 60) -(xsan , Ysan ) , 0
Return

Gorunum:

          Line(63 , 59) -(xsan , Ysan) , 255
          Line(63 , 60) -(xsan , Ysan ) , 255
          Line(63 , 61) -(xsan , Ysan ) , 255
          Line(62 , 60) -(xsan , Ysan ) , 255
          Line(64 , 60) -(xsan , Ysan ) , 255


          Line(63 , 58) -(xdak , Ydak ) , 255
          Line(63 , 59) -(xdak , Ydak ) , 255
          Line(63 , 60) -(xdak , Ydak ) , 255
          Line(63 , 61) -(xdak , Ydak ) , 255
          Line(63 , 62) -(xdak , Ydak ) , 255
          Line(61 , 60) -(xdak , Ydak ) , 255
          Line(62 , 60) -(xdak , Ydak ) , 255
          Line(64 , 60) -(xdak , Ydak ) , 255
          Line(65 , 60) -(xdak , Ydak ) , 255

          Line(60 , 60) -(xsaa , Ysaa ) , 255
          Line(61 , 60) -(xsaa , Ysaa ) , 255
          Line(62 , 60) -(xsaa , Ysaa ) , 255
          Line(63 , 60) -(xsaa , Ysaa ) , 255
          Line(64 , 60) -(xsaa , Ysaa ) , 255
          Line(65 , 60) -(xsaa , Ysaa ) , 255
          Line(66 , 60) -(xsaa , Ysaa ) , 255
          Line(63 , 57) -(xsaa , Ysaa ) , 255
          Line(63 , 58) -(xsaa , Ysaa ) , 255
          Line(63 , 59) -(xsaa , Ysaa ) , 255
          Line(63 , 61) -(xsaa , Ysaa ) , 255
          Line(63 , 62) -(xsaa , Ysaa ) , 255
          Line(63 , 63) -(xsaa , Ysaa ) , 255
Return

Ana_ekran:

   Cls Text
   Cls Graph
   Waitms 100

   Circle(63 , 60) , 53 , 255
   Circle(63 , 60) , 54 , 255
   Circle(63 , 60) , 56 , 255
   Circle(63 , 60) , 57 , 255
   Circle(63 , 60) , 40 , 255
   Circle(63 , 60) , 2 , 255
   Circle(63 , 60) , 3 , 255
   Circle(63 , 60) , 4 , 255

   Locate 3 , 15 : Lcd "1"
   Locate 5 , 18 : Lcd "2"
   Locate 8 , 19 : Lcd "3"
   Locate 11 , 18 : Lcd "4"
   Locate 13 , 15 : Lcd "5"
   Locate 14 , 11 : Lcd "6"
   Locate 13 , 7 : Lcd "7"
   Locate 11 , 4 : Lcd "8"
   Locate 8 , 3 : Lcd "9"
   Locate 5 , 4 : Lcd "10"
   Locate 3 , 7 : Lcd "11"
   Locate 2 , 11 : Lcd "12"
   'Locate 12 , 8 : Lcd "PROBES"
   'Shiftlcd Right
Return

Getdatetime:

  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307w                                          ' send address
  I2cwbyte 0                                                ' start address in 1307

  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307r                                          ' send address
  I2crbyte _sec , Ack
  I2crbyte _min , Ack                                       ' MINUTES
  I2crbyte _hour , Ack                                      ' Hours
  I2crbyte Weekday , Ack                                    ' Day of Week
  I2crbyte _day , Ack                                       ' Day of Month
  I2crbyte _month , Ack                                     ' Month of Year
  I2crbyte _year , Nack                                     ' Year
  I2cstop
  _sec = Makedec(_sec) : _min = Makedec(_min) : _hour = Makedec(_hour)
  _day = Makedec(_day) : _month = Makedec(_month) : _year = Makedec(_year)

Return

Setdate:

  _day = Makebcd(_day) : _month = Makebcd(_month) : _year = Makebcd(_year)
  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307w                                          ' send address
  I2cwbyte 4                                                ' starting address in 1307
  I2cwbyte _day                                             ' Send Data to SECONDS
  I2cwbyte _month                                           ' MINUTES
  I2cwbyte _year                                            ' Hours
  I2cstop

Return

Settime:

  _sec = Makebcd(_sec) : _min = Makebcd(_min) : _hour = Makebcd(_hour)
  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307w                                          ' send address
  I2cwbyte 0                                                ' starting address in 1307
  I2cwbyte _sec                                             ' Send Data to SECONDS
  I2cwbyte _min                                             ' MINUTES
  I2cwbyte _hour                                            ' Hours
  I2cstop

Return




