$regfile = "m16def.dat"
$crystal = 8000000

'$lib "mcsbyte.lbx"
'$lib "ds1307clock.lbx"
$lib "i2c_twi.lbx"


Config Graphlcd = 240 * 128 , Dataport = Porta , Controlport = Portb , Ce = 2 , Cd = 5 , Wr = 3 , Rd = 4 , Reset = 1 , Fs = 0 , Mode = 6




Dim Xsan As Byte
Dim Ysan As Byte
Dim Xsaa As Byte
Dim Ysaa As Byte
Dim Xdak As Byte
Dim Ydak As Byte
Dim Weekday As Byte
Dim Ayarvar As Byte
Dim Sayici As Byte
Dim Y_hour As Byte
Dim Y_min As Byte
Dim Y_sec As Byte

Dim Saat As String * 8
Dim Tarih As String * 8
Dim Versionn As String * 5


Config Portc.5 = Input
Config Portc.6 = Input
Config Portc.7 = Input

Setup Alias Pinc.5
Ust Alias Pinc.6
Sag Alias Pinc.7



Config Sda = Portc.1
Config Scl = Portc.0

Const Ds1307w = &HD0
Const Ds1307r = &HD1
Config Clock = User

Config Twi = 400000
I2cinit


Versionn = "1.02"

'Time$ = "17:29:00"
'Date$ = "10-28-10"
Xsaa = 123
Ysaa = 23
Xsan = 123
Ysan = 23
Xdak = 123
Ydak = 23
Ayarvar = 0
Sayici = 0

Waitms 1000


Cls
Cursor Off

Cls Text
Cls Graph
Waitms 100
Locate 5 , 8 : Lcd "  ANALOG SAAT  "
Locate 16 , 12 : Lcd "VERSiON:" ; Versionn
Waitms 2000




Gosub Ana_ekran




Ana_dongu:

   Do


     If Setup = 0 Then
         'Waitms 250
         Sayici = 1
         If Ayarvar = 0 Then
            Ayarvar = 1
         Else
            Ayarvar = 0
            _sec = Makebcd(y_sec) : _min = Makebcd(y_min) : _hour = Makebcd(y_hour)
            I2cstart
            I2cwbyte Ds1307w
            I2cwbyte 0
            I2cwbyte _sec
            I2cwbyte _min
            I2cwbyte _hour
            I2cstop
        End If
     End If

     If Sag = 0 And Ayarvar = 1 Then
         'Waitms 250
         Incr Sayici
         If Sayici = 4 Then
            Sayici = 1
         End If
     End If

     If Ust = 0 And Ayarvar = 1 Then
         'Waitms 250
         If Sayici = 1 Then
            Incr Y_hour
               If Y_hour => 24 Then
                  Y_hour = 00
               End If
         End If
         If Sayici = 2 Then
            Incr Y_min
               If Y_min => 60 Then
                  Y_min = 00
               End If
         End If
         If Sayici = 3 Then
          Incr Y_sec
               If Y_sec => 60 Then
                  Y_sec = 00
               End If
         End If
     End If

     If Ayarvar = 0 Then
         Saat = Time$
         Locate 16 , 10 : Lcd "       " ; _hour ; ":" ; _min ; ":" ; _sec ; "        "
         Y_hour = _hour : Y_min = _min : Y_sec = _sec
     Else
         If Sayici = 1 Then
            Locate 16 , 10 : Lcd "Saat  : " ; Y_hour ; "          "
            _hour = Y_hour
         End If
         If Sayici = 2 Then
            Locate 16 , 10 : Lcd "Dakika: " ; Y_min ; "          "
            _min = Y_min
         End If
         If Sayici = 3 Then
            Locate 16 , 10 : Lcd "Saniye: " ; Y_sec ; "          "
            _sec = Y_sec
         End If
     End If

     If _hour = 00 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 123 : Ysaa = 23 : Gosub Gorunum : End If
     If _hour = 00 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 133 : Ysaa = 27 : Gosub Gorunum : End If
     If _hour = 01 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 142 : Ysaa = 29 : Gosub Gorunum : End If
     If _hour = 01 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 150 : Ysaa = 32 : Gosub Gorunum : End If
     If _hour = 02 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 156 : Ysaa = 39 : Gosub Gorunum : End If
     If _hour = 02 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 157 : Ysaa = 49 : Gosub Gorunum : End If
     If _hour = 03 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 160 : Ysaa = 60 : Gosub Gorunum : End If
     If _hour = 03 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 160 : Ysaa = 67 : Gosub Gorunum : End If
     If _hour = 04 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 158 : Ysaa = 76 : Gosub Gorunum : End If
     If _hour = 04 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 150 : Ysaa = 87 : Gosub Gorunum : End If
     If _hour = 05 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 142 : Ysaa = 91 : Gosub Gorunum : End If
     If _hour = 05 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 132 : Ysaa = 94 : Gosub Gorunum : End If
     If _hour = 06 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 123 : Ysaa = 98 : Gosub Gorunum : End If
     If _hour = 06 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 113 : Ysaa = 92 : Gosub Gorunum : End If
     If _hour = 07 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 103 : Ysaa = 88 : Gosub Gorunum : End If
     If _hour = 07 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 97 : Ysaa = 84 : Gosub Gorunum : End If
     If _hour = 08 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 93 : Ysaa = 78 : Gosub Gorunum : End If
     If _hour = 08 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 88 : Ysaa = 68 : Gosub Gorunum : End If
     If _hour = 09 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 87 : Ysaa = 60 : Gosub Gorunum : End If
     If _hour = 09 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 89 : Ysaa = 50 : Gosub Gorunum : End If
     If _hour = 10 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 93 : Ysaa = 37 : Gosub Gorunum : End If
     If _hour = 10 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 99 : Ysaa = 29 : Gosub Gorunum : End If
     If _hour = 11 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 108 : Ysaa = 25 : Gosub Gorunum : End If
     If _hour = 11 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 116 : Ysaa = 24 : Gosub Gorunum : End If
     If _hour = 12 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 123 : Ysaa = 23 : Gosub Gorunum : End If
     If _hour = 12 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 133 : Ysaa = 27 : Gosub Gorunum : End If
     If _hour = 13 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 142 : Ysaa = 29 : Gosub Gorunum : End If
     If _hour = 13 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 150 : Ysaa = 32 : Gosub Gorunum : End If
     If _hour = 14 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 156 : Ysaa = 39 : Gosub Gorunum : End If
     If _hour = 14 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 157 : Ysaa = 49 : Gosub Gorunum : End If
     If _hour = 15 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 160 : Ysaa = 60 : Gosub Gorunum : End If
     If _hour = 15 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 160 : Ysaa = 67 : Gosub Gorunum : End If
     If _hour = 16 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 158 : Ysaa = 76 : Gosub Gorunum : End If
     If _hour = 16 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 150 : Ysaa = 87 : Gosub Gorunum : End If
     If _hour = 17 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 142 : Ysaa = 91 : Gosub Gorunum : End If
     If _hour = 17 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 132 : Ysaa = 94 : Gosub Gorunum : End If
     If _hour = 18 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 123 : Ysaa = 98 : Gosub Gorunum : End If
     If _hour = 18 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 113 : Ysaa = 72 : Gosub Gorunum : End If
     If _hour = 19 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 103 : Ysaa = 88 : Gosub Gorunum : End If
     If _hour = 19 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 97 : Ysaa = 84 : Gosub Gorunum : End If
     If _hour = 20 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 93 : Ysaa = 78 : Gosub Gorunum : End If
     If _hour = 20 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 88 : Ysaa = 68 : Gosub Gorunum : End If
     If _hour = 21 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 87 : Ysaa = 60 : Gosub Gorunum : End If
     If _hour = 21 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 89 : Ysaa = 50 : Gosub Gorunum : End If
     If _hour = 22 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 93 : Ysaa = 37 : Gosub Gorunum : End If
     If _hour = 22 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 99 : Ysaa = 29 : Gosub Gorunum : End If
     If _hour = 23 And _min <= 30 Then : Gosub Gorunumsil3 : Xsaa = 108 : Ysaa = 25 : Gosub Gorunum : End If
     If _hour = 23 And _min > 30 Then : Gosub Gorunumsil3 : Xsaa = 116 : Ysaa = 24 : Gosub Gorunum : End If


     If _min = 00 Then : Gosub Gorunumsil2 : Xdak = 124 : Ydak = 15 : Gosub Gorunum : End If
     If _min = 01 Then : Gosub Gorunumsil2 : Xdak = 129 : Ydak = 15 : Gosub Gorunum : End If
     If _min = 02 Then : Gosub Gorunumsil2 : Xdak = 134 : Ydak = 15 : Gosub Gorunum : End If
     If _min = 03 Then : Gosub Gorunumsil2 : Xdak = 138 : Ydak = 16 : Gosub Gorunum : End If
     If _min = 04 Then : Gosub Gorunumsil2 : Xdak = 141 : Ydak = 18 : Gosub Gorunum : End If
     If _min = 05 Then : Gosub Gorunumsil2 : Xdak = 147 : Ydak = 18 : Gosub Gorunum : End If
     If _min = 06 Then : Gosub Gorunumsil2 : Xdak = 149 : Ydak = 22 : Gosub Gorunum : End If
     If _min = 07 Then : Gosub Gorunumsil2 : Xdak = 152 : Ydak = 25 : Gosub Gorunum : End If
     If _min = 08 Then : Gosub Gorunumsil2 : Xdak = 155 : Ydak = 28 : Gosub Gorunum : End If
     If _min = 09 Then : Gosub Gorunumsil2 : Xdak = 160 : Ydak = 33 : Gosub Gorunum : End If
     If _min = 10 Then : Gosub Gorunumsil2 : Xdak = 163 : Ydak = 36 : Gosub Gorunum : End If
     If _min = 11 Then : Gosub Gorunumsil2 : Xdak = 164 : Ydak = 39 : Gosub Gorunum : End If
     If _min = 12 Then : Gosub Gorunumsil2 : Xdak = 165 : Ydak = 43 : Gosub Gorunum : End If
     If _min = 13 Then : Gosub Gorunumsil2 : Xdak = 167 : Ydak = 47 : Gosub Gorunum : End If
     If _min = 14 Then : Gosub Gorunumsil2 : Xdak = 169 : Ydak = 52 : Gosub Gorunum : End If
     If _min = 15 Then : Gosub Gorunumsil2 : Xdak = 169 : Ydak = 58 : Gosub Gorunum : End If
     If _min = 16 Then : Gosub Gorunumsil2 : Xdak = 170 : Ydak = 63 : Gosub Gorunum : End If
     If _min = 17 Then : Gosub Gorunumsil2 : Xdak = 169 : Ydak = 67 : Gosub Gorunum : End If
     If _min = 18 Then : Gosub Gorunumsil2 : Xdak = 170 : Ydak = 71 : Gosub Gorunum : End If
     If _min = 19 Then : Gosub Gorunumsil2 : Xdak = 167 : Ydak = 76 : Gosub Gorunum : End If
     If _min = 20 Then : Gosub Gorunumsil2 : Xdak = 166 : Ydak = 82 : Gosub Gorunum : End If
     If _min = 21 Then : Gosub Gorunumsil2 : Xdak = 160 : Ydak = 86 : Gosub Gorunum : End If
     If _min = 22 Then : Gosub Gorunumsil2 : Xdak = 158 : Ydak = 88 : Gosub Gorunum : End If
     If _min = 23 Then : Gosub Gorunumsil2 : Xdak = 157 : Ydak = 91 : Gosub Gorunum : End If
     If _min = 24 Then : Gosub Gorunumsil2 : Xdak = 153 : Ydak = 96 : Gosub Gorunum : End If
     If _min = 25 Then : Gosub Gorunumsil2 : Xdak = 145 : Ydak = 97 : Gosub Gorunum : End If
     If _min = 26 Then : Gosub Gorunumsil2 : Xdak = 144 : Ydak = 100 : Gosub Gorunum : End If
     If _min = 27 Then : Gosub Gorunumsil2 : Xdak = 139 : Ydak = 104 : Gosub Gorunum : End If
     If _min = 28 Then : Gosub Gorunumsil2 : Xdak = 135 : Ydak = 104 : Gosub Gorunum : End If
     If _min = 29 Then : Gosub Gorunumsil2 : Xdak = 130 : Ydak = 107 : Gosub Gorunum : End If
     If _min = 30 Then : Gosub Gorunumsil2 : Xdak = 123 : Ydak = 107 : Gosub Gorunum : End If
     If _min = 31 Then : Gosub Gorunumsil2 : Xdak = 117 : Ydak = 107 : Gosub Gorunum : End If
     If _min = 32 Then : Gosub Gorunumsil2 : Xdak = 113 : Ydak = 107 : Gosub Gorunum : End If
     If _min = 33 Then : Gosub Gorunumsil2 : Xdak = 110 : Ydak = 104 : Gosub Gorunum : End If
     If _min = 34 Then : Gosub Gorunumsil2 : Xdak = 105 : Ydak = 103 : Gosub Gorunum : End If
     If _min = 35 Then : Gosub Gorunumsil2 : Xdak = 100 : Ydak = 101 : Gosub Gorunum : End If
     If _min = 36 Then : Gosub Gorunumsil2 : Xdak = 95 : Ydak = 99 : Gosub Gorunum : End If
     If _min = 37 Then : Gosub Gorunumsil2 : Xdak = 93 : Ydak = 96 : Gosub Gorunum : End If
     If _min = 38 Then : Gosub Gorunumsil2 : Xdak = 90 : Ydak = 93 : Gosub Gorunum : End If
     If _min = 39 Then : Gosub Gorunumsil2 : Xdak = 86 : Ydak = 88 : Gosub Gorunum : End If
     If _min = 40 Then : Gosub Gorunumsil2 : Xdak = 82 : Ydak = 83 : Gosub Gorunum : End If
     If _min = 41 Then : Gosub Gorunumsil2 : Xdak = 81 : Ydak = 78 : Gosub Gorunum : End If
     If _min = 42 Then : Gosub Gorunumsil2 : Xdak = 78 : Ydak = 75 : Gosub Gorunum : End If
     If _min = 43 Then : Gosub Gorunumsil2 : Xdak = 78 : Ydak = 71 : Gosub Gorunum : End If
     If _min = 44 Then : Gosub Gorunumsil2 : Xdak = 77 : Ydak = 66 : Gosub Gorunum : End If
     If _min = 45 Then : Gosub Gorunumsil2 : Xdak = 77 : Ydak = 60 : Gosub Gorunum : End If
     If _min = 46 Then : Gosub Gorunumsil2 : Xdak = 76 : Ydak = 55 : Gosub Gorunum : End If
     If _min = 47 Then : Gosub Gorunumsil2 : Xdak = 77 : Ydak = 50 : Gosub Gorunum : End If
     If _min = 48 Then : Gosub Gorunumsil2 : Xdak = 78 : Ydak = 46 : Gosub Gorunum : End If
     If _min = 49 Then : Gosub Gorunumsil2 : Xdak = 79 : Ydak = 41 : Gosub Gorunum : End If
     If _min = 50 Then : Gosub Gorunumsil2 : Xdak = 85 : Ydak = 33 : Gosub Gorunum : End If
     If _min = 51 Then : Gosub Gorunumsil2 : Xdak = 87 : Ydak = 30 : Gosub Gorunum : End If
     If _min = 52 Then : Gosub Gorunumsil2 : Xdak = 89 : Ydak = 27 : Gosub Gorunum : End If
     If _min = 53 Then : Gosub Gorunumsil2 : Xdak = 92 : Ydak = 24 : Gosub Gorunum : End If
     If _min = 54 Then : Gosub Gorunumsil2 : Xdak = 96 : Ydak = 19 : Gosub Gorunum : End If
     If _min = 55 Then : Gosub Gorunumsil2 : Xdak = 101 : Ydak = 17 : Gosub Gorunum : End If
     If _min = 56 Then : Gosub Gorunumsil2 : Xdak = 108 : Ydak = 16 : Gosub Gorunum : End If
     If _min = 57 Then : Gosub Gorunumsil2 : Xdak = 111 : Ydak = 14 : Gosub Gorunum : End If
     If _min = 58 Then : Gosub Gorunumsil2 : Xdak = 114 : Ydak = 12 : Gosub Gorunum : End If
     If _min = 59 Then : Gosub Gorunumsil2 : Xdak = 119 : Ydak = 12 : Gosub Gorunum : End If


     If _sec = 00 Then : Gosub Gorunumsil1 : Xsan = 124 : Ysan = 15 : Gosub Gorunum : End If
     If _sec = 01 Then : Gosub Gorunumsil1 : Xsan = 129 : Ysan = 15 : Gosub Gorunum : End If
     If _sec = 02 Then : Gosub Gorunumsil1 : Xsan = 134 : Ysan = 15 : Gosub Gorunum : End If
     If _sec = 03 Then : Gosub Gorunumsil1 : Xsan = 138 : Ysan = 16 : Gosub Gorunum : End If
     If _sec = 04 Then : Gosub Gorunumsil1 : Xsan = 141 : Ysan = 18 : Gosub Gorunum : End If
     If _sec = 05 Then : Gosub Gorunumsil1 : Xsan = 147 : Ysan = 18 : Gosub Gorunum : End If
     If _sec = 06 Then : Gosub Gorunumsil1 : Xsan = 149 : Ysan = 22 : Gosub Gorunum : End If
     If _sec = 07 Then : Gosub Gorunumsil1 : Xsan = 152 : Ysan = 25 : Gosub Gorunum : End If
     If _sec = 08 Then : Gosub Gorunumsil1 : Xsan = 155 : Ysan = 28 : Gosub Gorunum : End If
     If _sec = 09 Then : Gosub Gorunumsil1 : Xsan = 160 : Ysan = 33 : Gosub Gorunum : End If
     If _sec = 10 Then : Gosub Gorunumsil1 : Xsan = 163 : Ysan = 36 : Gosub Gorunum : End If
     If _sec = 11 Then : Gosub Gorunumsil1 : Xsan = 164 : Ysan = 39 : Gosub Gorunum : End If
     If _sec = 12 Then : Gosub Gorunumsil1 : Xsan = 165 : Ysan = 43 : Gosub Gorunum : End If
     If _sec = 13 Then : Gosub Gorunumsil1 : Xsan = 167 : Ysan = 47 : Gosub Gorunum : End If
     If _sec = 14 Then : Gosub Gorunumsil1 : Xsan = 169 : Ysan = 52 : Gosub Gorunum : End If
     If _sec = 15 Then : Gosub Gorunumsil1 : Xsan = 169 : Ysan = 58 : Gosub Gorunum : End If
     If _sec = 16 Then : Gosub Gorunumsil1 : Xsan = 170 : Ysan = 63 : Gosub Gorunum : End If
     If _sec = 17 Then : Gosub Gorunumsil1 : Xsan = 169 : Ysan = 67 : Gosub Gorunum : End If
     If _sec = 18 Then : Gosub Gorunumsil1 : Xsan = 170 : Ysan = 71 : Gosub Gorunum : End If
     If _sec = 19 Then : Gosub Gorunumsil1 : Xsan = 167 : Ysan = 76 : Gosub Gorunum : End If
     If _sec = 20 Then : Gosub Gorunumsil1 : Xsan = 166 : Ysan = 82 : Gosub Gorunum : End If
     If _sec = 21 Then : Gosub Gorunumsil1 : Xsan = 160 : Ysan = 86 : Gosub Gorunum : End If
     If _sec = 22 Then : Gosub Gorunumsil1 : Xsan = 158 : Ysan = 88 : Gosub Gorunum : End If
     If _sec = 23 Then : Gosub Gorunumsil1 : Xsan = 157 : Ysan = 91 : Gosub Gorunum : End If
     If _sec = 24 Then : Gosub Gorunumsil1 : Xsan = 153 : Ysan = 96 : Gosub Gorunum : End If
     If _sec = 25 Then : Gosub Gorunumsil1 : Xsan = 145 : Ysan = 97 : Gosub Gorunum : End If
     If _sec = 26 Then : Gosub Gorunumsil1 : Xsan = 144 : Ysan = 100 : Gosub Gorunum : End If
     If _sec = 27 Then : Gosub Gorunumsil1 : Xsan = 139 : Ysan = 104 : Gosub Gorunum : End If
     If _sec = 28 Then : Gosub Gorunumsil1 : Xsan = 135 : Ysan = 104 : Gosub Gorunum : End If
     If _sec = 29 Then : Gosub Gorunumsil1 : Xsan = 130 : Ysan = 107 : Gosub Gorunum : End If
     If _sec = 30 Then : Gosub Gorunumsil1 : Xsan = 123 : Ysan = 107 : Gosub Gorunum : End If
     If _sec = 31 Then : Gosub Gorunumsil1 : Xsan = 117 : Ysan = 107 : Gosub Gorunum : End If
     If _sec = 32 Then : Gosub Gorunumsil1 : Xsan = 113 : Ysan = 107 : Gosub Gorunum : End If
     If _sec = 33 Then : Gosub Gorunumsil1 : Xsan = 110 : Ysan = 104 : Gosub Gorunum : End If
     If _sec = 34 Then : Gosub Gorunumsil1 : Xsan = 105 : Ysan = 103 : Gosub Gorunum : End If
     If _sec = 35 Then : Gosub Gorunumsil1 : Xsan = 100 : Ysan = 101 : Gosub Gorunum : End If
     If _sec = 36 Then : Gosub Gorunumsil1 : Xsan = 95 : Ysan = 99 : Gosub Gorunum : End If
     If _sec = 37 Then : Gosub Gorunumsil1 : Xsan = 93 : Ysan = 96 : Gosub Gorunum : End If
     If _sec = 38 Then : Gosub Gorunumsil1 : Xsan = 90 : Ysan = 93 : Gosub Gorunum : End If
     If _sec = 39 Then : Gosub Gorunumsil1 : Xsan = 96 : Ysan = 88 : Gosub Gorunum : End If
     If _sec = 40 Then : Gosub Gorunumsil1 : Xsan = 82 : Ysan = 83 : Gosub Gorunum : End If
     If _sec = 41 Then : Gosub Gorunumsil1 : Xsan = 81 : Ysan = 78 : Gosub Gorunum : End If
     If _sec = 42 Then : Gosub Gorunumsil1 : Xsan = 78 : Ysan = 75 : Gosub Gorunum : End If
     If _sec = 43 Then : Gosub Gorunumsil1 : Xsan = 78 : Ysan = 71 : Gosub Gorunum : End If
     If _sec = 44 Then : Gosub Gorunumsil1 : Xsan = 77 : Ysan = 66 : Gosub Gorunum : End If
     If _sec = 45 Then : Gosub Gorunumsil1 : Xsan = 77 : Ysan = 60 : Gosub Gorunum : End If
     If _sec = 46 Then : Gosub Gorunumsil1 : Xsan = 76 : Ysan = 55 : Gosub Gorunum : End If
     If _sec = 47 Then : Gosub Gorunumsil1 : Xsan = 77 : Ysan = 50 : Gosub Gorunum : End If
     If _sec = 48 Then : Gosub Gorunumsil1 : Xsan = 78 : Ysan = 46 : Gosub Gorunum : End If
     If _sec = 49 Then : Gosub Gorunumsil1 : Xsan = 79 : Ysan = 41 : Gosub Gorunum : End If
     If _sec = 50 Then : Gosub Gorunumsil1 : Xsan = 85 : Ysan = 33 : Gosub Gorunum : End If
     If _sec = 51 Then : Gosub Gorunumsil1 : Xsan = 87 : Ysan = 30 : Gosub Gorunum : End If
     If _sec = 52 Then : Gosub Gorunumsil1 : Xsan = 89 : Ysan = 27 : Gosub Gorunum : End If
     If _sec = 53 Then : Gosub Gorunumsil1 : Xsan = 92 : Ysan = 24 : Gosub Gorunum : End If
     If _sec = 54 Then : Gosub Gorunumsil1 : Xsan = 96 : Ysan = 19 : Gosub Gorunum : End If
     If _sec = 55 Then : Gosub Gorunumsil1 : Xsan = 101 : Ysan = 17 : Gosub Gorunum : End If
     If _sec = 56 Then : Gosub Gorunumsil1 : Xsan = 108 : Ysan = 16 : Gosub Gorunum : End If
     If _sec = 57 Then : Gosub Gorunumsil1 : Xsan = 111 : Ysan = 14 : Gosub Gorunum : End If
     If _sec = 58 Then : Gosub Gorunumsil1 : Xsan = 114 : Ysan = 12 : Gosub Gorunum : End If
     If _sec = 59 Then : Gosub Gorunumsil1 : Xsan = 119 : Ysan = 12 : Gosub Gorunum : End If



     If Ayarvar = 1 Then
         Waitms 200
     Else
         Waitms 850
     End If

   Loop

Goto Ana_dongu

Gorunumsil2:

             Line(123 , 58) -(xdak , Ydak ) , 0
             Line(123 , 59) -(xdak , Ydak ) , 0
             Line(123 , 60) -(xdak , Ydak ) , 0
             Line(123 , 61) -(xdak , Ydak ) , 0
             Line(123 , 62) -(xdak , Ydak ) , 0
             Line(121 , 60) -(xdak , Ydak ) , 0
             Line(122 , 60) -(xdak , Ydak ) , 0
             Line(124 , 60) -(xdak , Ydak ) , 0
             Line(125 , 60) -(xdak , Ydak ) , 0
Return

Gorunumsil3:
             Line(120 , 60) -(xsaa , Ysaa ) , 0
             Line(121 , 60) -(xsaa , Ysaa ) , 0
             Line(122 , 60) -(xsaa , Ysaa ) , 0
             Line(123 , 60) -(xsaa , Ysaa ) , 0
             Line(124 , 60) -(xsaa , Ysaa ) , 0
             Line(125 , 60) -(xsaa , Ysaa ) , 0
             Line(126 , 60) -(xsaa , Ysaa ) , 0
             Line(123 , 57) -(xsaa , Ysaa ) , 0
             Line(123 , 58) -(xsaa , Ysaa ) , 0
             Line(123 , 59) -(xsaa , Ysaa ) , 0
             Line(123 , 61) -(xsaa , Ysaa ) , 0
             Line(123 , 62) -(xsaa , Ysaa ) , 0
             Line(123 , 63) -(xsaa , Ysaa ) , 0
Return

Gorunumsil1:

          Line(123 , 59) -(xsan , Ysan) , 0
          Line(123 , 60) -(xsan , Ysan ) , 0
          Line(123 , 61) -(xsan , Ysan ) , 0
          Line(122 , 60) -(xsan , Ysan ) , 0
          Line(124 , 60) -(xsan , Ysan ) , 0
Return

Gorunum:

          Line(123 , 59) -(xsan , Ysan) , 255
          Line(123 , 60) -(xsan , Ysan ) , 255
          Line(123 , 61) -(xsan , Ysan ) , 255
          Line(122 , 60) -(xsan , Ysan ) , 255
          Line(124 , 60) -(xsan , Ysan ) , 255


          Line(123 , 58) -(xdak , Ydak ) , 255
          Line(123 , 59) -(xdak , Ydak ) , 255
          Line(123 , 60) -(xdak , Ydak ) , 255
          Line(123 , 61) -(xdak , Ydak ) , 255
          Line(123 , 62) -(xdak , Ydak ) , 255
          Line(121 , 60) -(xdak , Ydak ) , 255
          Line(122 , 60) -(xdak , Ydak ) , 255
          Line(124 , 60) -(xdak , Ydak ) , 255
          Line(125 , 60) -(xdak , Ydak ) , 255

          Line(120 , 60) -(xsaa , Ysaa ) , 255
          Line(121 , 60) -(xsaa , Ysaa ) , 255
          Line(122 , 60) -(xsaa , Ysaa ) , 255
          Line(123 , 60) -(xsaa , Ysaa ) , 255
          Line(124 , 60) -(xsaa , Ysaa ) , 255
          Line(125 , 60) -(xsaa , Ysaa ) , 255
          Line(126 , 60) -(xsaa , Ysaa ) , 255
          Line(123 , 57) -(xsaa , Ysaa ) , 255
          Line(123 , 58) -(xsaa , Ysaa ) , 255
          Line(123 , 59) -(xsaa , Ysaa ) , 255
          Line(123 , 61) -(xsaa , Ysaa ) , 255
          Line(123 , 62) -(xsaa , Ysaa ) , 255
          Line(123 , 63) -(xsaa , Ysaa ) , 255
Return

Ana_ekran:

   Cls Text
   Cls Graph
   Waitms 100

   Circle(123 , 60) , 53 , 255
   Circle(123 , 60) , 54 , 255
   Circle(123 , 60) , 56 , 255
   Circle(123 , 60) , 57 , 255
   Circle(123 , 60) , 40 , 255
   Circle(123 , 60) , 2 , 255
   Circle(123 , 60) , 3 , 255
   Circle(123 , 60) , 4 , 255

   Locate 3 , 25 : Lcd "1"
   Locate 5 , 28 : Lcd "2"
   Locate 8 , 29 : Lcd "3"
   Locate 11 , 28 : Lcd "4"
   Locate 13 , 25 : Lcd "5"
   Locate 14 , 21 : Lcd "6"
   Locate 13 , 17 : Lcd "7"
   Locate 11 , 14 : Lcd "8"
   Locate 8 , 13 : Lcd "9"
   Locate 5 , 14 : Lcd "10"
   Locate 3 , 17 : Lcd "11"
   Locate 2 , 21 : Lcd "12"
   'Locate 12 , 8 : Lcd "TOLGA"
   'Shiftlcd Right
Return


Getdatetime:

  I2cstart
  I2cwbyte Ds1307w
  I2cwbyte 0

  I2cstart
  I2cwbyte Ds1307r
  I2crbyte _sec , Ack
  I2crbyte _min , Ack
  I2crbyte _hour , Ack
  I2crbyte Weekday , Ack
  I2crbyte _day , Ack
  I2crbyte _month , Ack
  I2crbyte _year , Nack
  I2cstop
  _sec = Makedec(_sec) : _min = Makedec(_min) : _hour = Makedec(_hour)
  _day = Makedec(_day) : _month = Makedec(_month) : _year = Makedec(_year)

Return

Setdate:

  _day = Makebcd(_day) : _month = Makebcd(_month) : _year = Makebcd(_year)
  I2cstart
  I2cwbyte Ds1307w
  I2cwbyte 4
  I2cwbyte _day
  I2cwbyte _month
  I2cwbyte _year
  I2cstop

Return

Settime:

  _sec = Makebcd(_sec) : _min = Makebcd(_min) : _hour = Makebcd(_hour)
  I2cstart
  I2cwbyte Ds1307w
  I2cwbyte 0
  I2cwbyte _sec
  I2cwbyte _min
  I2cwbyte _hour
  I2cstop

Return


